package com.bonus.canteen.core.drp.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class SupermarketInventoryRepairDetailModel {
   @ApiModelProperty("入库明细id")
   private Long intoDetailId;
   @ApiModelProperty("商品明细id")
   private Long supermarketDetailId;
   @ApiModelProperty("扣减数量")
   private BigDecimal operateNum;
   @ApiModelProperty("库存id")
   private Long inventoryId;

   public Long getIntoDetailId() {
      return this.intoDetailId;
   }

   public Long getSupermarketDetailId() {
      return this.supermarketDetailId;
   }

   public BigDecimal getOperateNum() {
      return this.operateNum;
   }

   public Long getInventoryId() {
      return this.inventoryId;
   }

   public void setIntoDetailId(final Long intoDetailId) {
      this.intoDetailId = intoDetailId;
   }

   public void setSupermarketDetailId(final Long supermarketDetailId) {
      this.supermarketDetailId = supermarketDetailId;
   }

   public void setOperateNum(final BigDecimal operateNum) {
      this.operateNum = operateNum;
   }

   public void setInventoryId(final Long inventoryId) {
      this.inventoryId = inventoryId;
   }

   protected boolean canEqual(final Object other) {
      return other instanceof SupermarketInventoryRepairDetailModel;
   }

}
